INTERFACE
SUBROUTINE FPINTPHY(KFIELDS,KGPST,KGPEND,PROW,PBUF,KL0,&
 & KFPROMA,KFLDBUF,LDCLI,LDNIL,LDONE,KBLOCK) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMWFPDS , ONLY : NFPWIDE ,LWSTD12 ,LWSTD04 ,LWLAN12 ,LWLAN04 ,&
 & LWSEA12 ,LWSEA04 
USE YOMMP , ONLY : NAFPB1
INTEGER(KIND=JPIM),INTENT(IN) :: KFIELDS
INTEGER(KIND=JPIM),INTENT(IN) :: KFPROMA
INTEGER(KIND=JPIM),INTENT(IN) :: KFLDBUF
INTEGER(KIND=JPIM),INTENT(IN) :: KGPST
INTEGER(KIND=JPIM),INTENT(IN) :: KGPEND
REAL(KIND=JPRB) ,INTENT(OUT) :: PROW(KFPROMA,KFIELDS)
REAL(KIND=JPRB) ,INTENT(IN) :: PBUF(NAFPB1*KFLDBUF)
INTEGER(KIND=JPIM),INTENT(IN) :: KL0(KFPROMA,NFPWIDE+1)
LOGICAL ,INTENT(IN) :: LDCLI(KFIELDS)
LOGICAL ,INTENT(IN) :: LDNIL(KFIELDS)
LOGICAL ,INTENT(OUT) :: LDONE(KFIELDS)
INTEGER(KIND=JPIM),INTENT(IN) :: KBLOCK
END SUBROUTINE FPINTPHY
END INTERFACE
